View Issue Details

IDProjectCategoryView StatusLast Update
0019687mantisbtcode cleanuppublic2015-09-06 17:37
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version1.3.0-beta.3Fixed in Version1.3.0-beta.3 
Summary0019687: Removed unused libraries
Description

The following libraries were added in 1.3.0dev

  • jQuery Mobile
  • Zeta/ezComponents (ezc): Mail, Feed

Since they are not used anywhere in the codebase, they should be removed prior to rc1.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 11516bb9

2015-05-02 12:14:47

dregad

Details Diff
Remove jQuery Mobile

This was added in b256b8976d6a05a397bcee428b08bb2d2f168573 but is not
referenced in the code.

Fixes 0019687
rm - css/jquery.mobile-1.2.0.min.css Diff File
rm - css/jquery.mobile.structure-1.2.0.min.css Diff File
rm - css/jquery.mobile.theme-1.2.0.min.css Diff File
rm - javascript/jquery.mobile-1.2.0.min.js Diff File

MantisBT: master 9e6e7706

2015-05-03 14:38:02

dregad

Details Diff
Remove 'library/ezc' directory

This also takes care of removing two unused components, 'Mail' and
'Feed', which were previously added without justification as part of
commit 47347c502763417795dffb5f40f60e646df76d17.

Fixes 0019687
rm - library/ezc/Base/src/base.php Diff File
rm - library/ezc/Base/src/exceptions/autoload.php Diff File
rm - library/ezc/Base/src/exceptions/double_class_repository_prefix.php Diff File
rm - library/ezc/Base/src/exceptions/exception.php Diff File
rm - library/ezc/Base/src/exceptions/extension_not_found.php Diff File
rm - library/ezc/Base/src/exceptions/file_exception.php Diff File
rm - library/ezc/Base/src/exceptions/file_io.php Diff File
rm - library/ezc/Base/src/exceptions/file_not_found.php Diff File
rm - library/ezc/Base/src/exceptions/file_permission.php Diff File
rm - library/ezc/Base/src/exceptions/functionality_not_supported.php Diff File
rm - library/ezc/Base/src/exceptions/init_callback_configured.php Diff File
rm - library/ezc/Base/src/exceptions/invalid_callback_class.php Diff File
rm - library/ezc/Base/src/exceptions/invalid_parent_class.php Diff File
rm - library/ezc/Base/src/exceptions/property_not_found.php Diff File
rm - library/ezc/Base/src/exceptions/property_permission.php Diff File
rm - library/ezc/Base/src/exceptions/setting_not_found.php Diff File
rm - library/ezc/Base/src/exceptions/setting_value.php Diff File
rm - library/ezc/Base/src/exceptions/value.php Diff File
rm - library/ezc/Base/src/exceptions/whatever.php Diff File
rm - library/ezc/Base/src/ezc_bootstrap.php Diff File
rm - library/ezc/Base/src/features.php Diff File
rm - library/ezc/Base/src/file.php Diff File
rm - library/ezc/Base/src/init.php Diff File
rm - library/ezc/Base/src/interfaces/configuration_initializer.php Diff File
rm - library/ezc/Base/src/interfaces/exportable.php Diff File
rm - library/ezc/Base/src/interfaces/persistable.php Diff File
rm - library/ezc/Base/src/metadata.php Diff File
rm - library/ezc/Base/src/metadata/pear.php Diff File
rm - library/ezc/Base/src/metadata/tarball.php Diff File
rm - library/ezc/Base/src/options.php Diff File
rm - library/ezc/Base/src/options/autoload.php Diff File
rm - library/ezc/Base/src/struct.php Diff File
rm - library/ezc/Base/src/structs/file_find_context.php Diff File
rm - library/ezc/Base/src/structs/repository_directory.php Diff File
rm - library/ezc/Feed/src/exceptions/exception.php Diff File
rm - library/ezc/Feed/src/exceptions/meta_data_missing.php Diff File
rm - library/ezc/Feed/src/exceptions/one_item_data_required.php Diff File
rm - library/ezc/Feed/src/exceptions/only_one_value_allowed.php Diff File
rm - library/ezc/Feed/src/exceptions/parse_error.php Diff File
rm - library/ezc/Feed/src/exceptions/undefined_module.php Diff File
rm - library/ezc/Feed/src/exceptions/unsupported_element.php Diff File
rm - library/ezc/Feed/src/exceptions/unsupported_module.php Diff File
rm - library/ezc/Feed/src/exceptions/unsupported_type.php Diff File
rm - library/ezc/Feed/src/feed.php Diff File
rm - library/ezc/Feed/src/interfaces/element.php Diff File
rm - library/ezc/Feed/src/interfaces/module.php Diff File
rm - library/ezc/Feed/src/interfaces/parser.php Diff File
rm - library/ezc/Feed/src/interfaces/processor.php Diff File
rm - library/ezc/Feed/src/modules/content_module.php Diff File
rm - library/ezc/Feed/src/modules/creativecommons_module.php Diff File
rm - library/ezc/Feed/src/modules/dublincore_module.php Diff File
rm - library/ezc/Feed/src/modules/geo_module.php Diff File
rm - library/ezc/Feed/src/modules/georss_module.php Diff File
rm - library/ezc/Feed/src/modules/itunes_module.php Diff File
rm - library/ezc/Feed/src/processors/atom.php Diff File
rm - library/ezc/Feed/src/processors/rss1.php Diff File
rm - library/ezc/Feed/src/processors/rss2.php Diff File
rm - library/ezc/Feed/src/structs/category.php Diff File
rm - library/ezc/Feed/src/structs/cloud.php Diff File
rm - library/ezc/Feed/src/structs/content.php Diff File
rm - library/ezc/Feed/src/structs/date.php Diff File
rm - library/ezc/Feed/src/structs/enclosure.php Diff File
rm - library/ezc/Feed/src/structs/entry.php Diff File
rm - library/ezc/Feed/src/structs/generator.php Diff File
rm - library/ezc/Feed/src/structs/id.php Diff File
rm - library/ezc/Feed/src/structs/image.php Diff File
rm - library/ezc/Feed/src/structs/link.php Diff File
rm - library/ezc/Feed/src/structs/person.php Diff File
rm - library/ezc/Feed/src/structs/skip_days.php Diff File
rm - library/ezc/Feed/src/structs/skip_hours.php Diff File
rm - library/ezc/Feed/src/structs/source.php Diff File
rm - library/ezc/Feed/src/structs/text.php Diff File
rm - library/ezc/Feed/src/structs/text_input.php Diff File
rm - library/ezc/Graph/src/axis/container.php Diff File
rm - library/ezc/Graph/src/axis/date.php Diff File
rm - library/ezc/Graph/src/axis/labeled.php Diff File
rm - library/ezc/Graph/src/axis/logarithmic.php Diff File
rm - library/ezc/Graph/src/axis/numeric.php Diff File
rm - library/ezc/Graph/src/charts/bar.php Diff File
rm - library/ezc/Graph/src/charts/horizontal_bar.php Diff File
rm - library/ezc/Graph/src/charts/line.php Diff File
rm - library/ezc/Graph/src/charts/odometer.php Diff File
rm - library/ezc/Graph/src/charts/pie.php Diff File
rm - library/ezc/Graph/src/charts/radar.php Diff File
rm - library/ezc/Graph/src/colors/color.php Diff File
rm - library/ezc/Graph/src/colors/linear_gradient.php Diff File
rm - library/ezc/Graph/src/colors/radial_gradient.php Diff File
rm - library/ezc/Graph/src/data_container/base.php Diff File
rm - library/ezc/Graph/src/data_container/single.php Diff File
rm - library/ezc/Graph/src/datasets/array.php Diff File
rm - library/ezc/Graph/src/datasets/average.php Diff File
rm - library/ezc/Graph/src/datasets/base.php Diff File
rm - library/ezc/Graph/src/datasets/numeric.php Diff File
rm - library/ezc/Graph/src/datasets/property/axis.php Diff File
rm - library/ezc/Graph/src/datasets/property/boolean.php Diff File
rm - library/ezc/Graph/src/datasets/property/color.php Diff File
rm - library/ezc/Graph/src/datasets/property/integer.php Diff File
rm - library/ezc/Graph/src/datasets/property/string.php Diff File
rm - library/ezc/Graph/src/driver/cairo.php Diff File
rm - library/ezc/Graph/src/driver/cairo_oo.php Diff File
rm - library/ezc/Graph/src/driver/flash.php Diff File
rm - library/ezc/Graph/src/driver/gd.php Diff File
rm - library/ezc/Graph/src/driver/svg.php Diff File
rm - library/ezc/Graph/src/driver/svg_font.php Diff File
rm - library/ezc/Graph/src/driver/verbose.php Diff File
rm - library/ezc/Graph/src/element/axis.php Diff File
rm - library/ezc/Graph/src/element/background.php Diff File
rm - library/ezc/Graph/src/element/legend.php Diff File
rm - library/ezc/Graph/src/element/text.php Diff File
rm - library/ezc/Graph/src/exceptions/date_parsing.php Diff File
rm - library/ezc/Graph/src/exceptions/exception.php Diff File
rm - library/ezc/Graph/src/exceptions/flash_bitmap_type.php Diff File
rm - library/ezc/Graph/src/exceptions/font_rendering.php Diff File
rm - library/ezc/Graph/src/exceptions/font_type.php Diff File
rm - library/ezc/Graph/src/exceptions/incompatible_driver.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_assignement.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_data.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_data_source.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_dimensions.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_display_type.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_id.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_image_file.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_keys.php Diff File
rm - library/ezc/Graph/src/exceptions/invalid_step_size.php Diff File
rm - library/ezc/Graph/src/exceptions/no_data.php Diff File
rm - library/ezc/Graph/src/exceptions/no_such_data.php Diff File
rm - library/ezc/Graph/src/exceptions/no_such_dataset.php Diff File
rm - library/ezc/Graph/src/exceptions/no_such_element.php Diff File
rm - library/ezc/Graph/src/exceptions/not_rendered.php Diff File
rm - library/ezc/Graph/src/exceptions/out_of_boundings.php Diff File
rm - library/ezc/Graph/src/exceptions/out_of_logarithmical_boundings.php Diff File
rm - library/ezc/Graph/src/exceptions/reducement_failed.php Diff File
rm - library/ezc/Graph/src/exceptions/too_many_datasets.php Diff File
rm - library/ezc/Graph/src/exceptions/unknown_color_definition.php Diff File
rm - library/ezc/Graph/src/exceptions/unregular_steps.php Diff File
rm - library/ezc/Graph/src/exceptions/unsupported_image_type.php Diff File
rm - library/ezc/Graph/src/graph.php Diff File
rm - library/ezc/Graph/src/interfaces/axis_label_renderer.php Diff File
rm - library/ezc/Graph/src/interfaces/chart.php Diff File
rm - library/ezc/Graph/src/interfaces/dataset_property.php Diff File
rm - library/ezc/Graph/src/interfaces/driver.php Diff File
rm - library/ezc/Graph/src/interfaces/element.php Diff File
rm - library/ezc/Graph/src/interfaces/horizontal_bar_renderer.php Diff File
rm - library/ezc/Graph/src/interfaces/odometer_renderer.php Diff File
rm - library/ezc/Graph/src/interfaces/palette.php Diff File
rm - library/ezc/Graph/src/interfaces/radar_renderer.php Diff File
rm - library/ezc/Graph/src/interfaces/renderer.php Diff File
rm - library/ezc/Graph/src/interfaces/stacked_bar_renderer.php Diff File
rm - library/ezc/Graph/src/math/boundings.php Diff File
rm - library/ezc/Graph/src/math/matrix.php Diff File
rm - library/ezc/Graph/src/math/polynom.php Diff File
rm - library/ezc/Graph/src/math/rotation.php Diff File
rm - library/ezc/Graph/src/math/transformation.php Diff File
rm - library/ezc/Graph/src/math/translation.php Diff File
rm - library/ezc/Graph/src/math/vector.php Diff File
rm - library/ezc/Graph/src/options/cairo_driver.php Diff File
rm - library/ezc/Graph/src/options/chart.php Diff File
rm - library/ezc/Graph/src/options/driver.php Diff File
rm - library/ezc/Graph/src/options/flash_driver.php Diff File
rm - library/ezc/Graph/src/options/font.php Diff File
rm - library/ezc/Graph/src/options/gd_driver.php Diff File
rm - library/ezc/Graph/src/options/line_chart.php Diff File
rm - library/ezc/Graph/src/options/odometer_chart.php Diff File
rm - library/ezc/Graph/src/options/pie_chart.php Diff File
rm - library/ezc/Graph/src/options/radar_chart.php Diff File
rm - library/ezc/Graph/src/options/renderer.php Diff File
rm - library/ezc/Graph/src/options/renderer_2d.php Diff File
rm - library/ezc/Graph/src/options/renderer_3d.php Diff File
rm - library/ezc/Graph/src/options/svg_driver.php Diff File
rm - library/ezc/Graph/src/palette/black.php Diff File
rm - library/ezc/Graph/src/palette/ez.php Diff File
rm - library/ezc/Graph/src/palette/ez_blue.php Diff File
rm - library/ezc/Graph/src/palette/ez_green.php Diff File
rm - library/ezc/Graph/src/palette/ez_red.php Diff File
rm - library/ezc/Graph/src/palette/tango.php Diff File
rm - library/ezc/Graph/src/renderer/2d.php Diff File
rm - library/ezc/Graph/src/renderer/3d.php Diff File
rm - library/ezc/Graph/src/renderer/axis_label_boxed.php Diff File
rm - library/ezc/Graph/src/renderer/axis_label_centered.php Diff File
rm - library/ezc/Graph/src/renderer/axis_label_exact.php Diff File
rm - library/ezc/Graph/src/renderer/axis_label_none.php Diff File
rm - library/ezc/Graph/src/renderer/axis_label_radar.php Diff File
rm - library/ezc/Graph/src/renderer/axis_label_rotated.php Diff File
rm - library/ezc/Graph/src/renderer/axis_label_rotated_boxed.php Diff File
rm - library/ezc/Graph/src/renderer/horizontal_bar.php Diff File
rm - library/ezc/Graph/src/structs/context.php Diff File
rm - library/ezc/Graph/src/structs/coordinate.php Diff File
rm - library/ezc/Graph/src/structs/step.php Diff File
rm - library/ezc/Graph/src/tools.php Diff File
rm - library/ezc/Mail/src/composer.php Diff File
rm - library/ezc/Mail/src/exceptions/invalid_limit.php Diff File
rm - library/ezc/Mail/src/exceptions/mail_exception.php Diff File
rm - library/ezc/Mail/src/exceptions/no_such_message.php Diff File
rm - library/ezc/Mail/src/exceptions/offset_out_of_range.php Diff File
rm - library/ezc/Mail/src/exceptions/transport_exception.php Diff File
rm - library/ezc/Mail/src/exceptions/transport_smtp_exception.php Diff File
rm - library/ezc/Mail/src/interfaces/part.php Diff File
rm - library/ezc/Mail/src/interfaces/transport.php Diff File
rm - library/ezc/Mail/src/internal/charset_convert.php Diff File
rm - library/ezc/Mail/src/internal/header_folder.php Diff File
rm - library/ezc/Mail/src/mail.php Diff File
rm - library/ezc/Mail/src/options/composer_options.php Diff File
rm - library/ezc/Mail/src/options/imap_options.php Diff File
rm - library/ezc/Mail/src/options/imap_set_options.php Diff File
rm - library/ezc/Mail/src/options/mail_options.php Diff File
rm - library/ezc/Mail/src/options/parser_options.php Diff File
rm - library/ezc/Mail/src/options/pop3_options.php Diff File
rm - library/ezc/Mail/src/options/smtp_options.php Diff File
rm - library/ezc/Mail/src/options/transport_options.php Diff File
rm - library/ezc/Mail/src/parser/headers_holder.php Diff File
rm - library/ezc/Mail/src/parser/interfaces/parser_set.php Diff File
rm - library/ezc/Mail/src/parser/interfaces/part_parser.php Diff File
rm - library/ezc/Mail/src/parser/parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/delivery_status_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/file_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/multipart_alternative_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/multipart_digest_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/multipart_mixed_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/multipart_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/multipart_related_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/multipart_report_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/rfc822_digest_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/rfc822_parser.php Diff File
rm - library/ezc/Mail/src/parser/parts/text_parser.php Diff File
rm - library/ezc/Mail/src/parser/rfc2231_implementation.php Diff File
rm - library/ezc/Mail/src/parser/shutdown_handler.php Diff File
rm - library/ezc/Mail/src/parts/delivery_status.php Diff File
rm - library/ezc/Mail/src/parts/file.php Diff File
rm - library/ezc/Mail/src/parts/fileparts/disk_file.php Diff File
rm - library/ezc/Mail/src/parts/fileparts/stream_file.php Diff File
rm - library/ezc/Mail/src/parts/fileparts/virtual_file.php Diff File
rm - library/ezc/Mail/src/parts/multipart.php Diff File
rm - library/ezc/Mail/src/parts/multiparts/multipart_alternative.php Diff File
rm - library/ezc/Mail/src/parts/multiparts/multipart_digest.php Diff File
rm - library/ezc/Mail/src/parts/multiparts/multipart_mixed.php Diff File
rm - library/ezc/Mail/src/parts/multiparts/multipart_related.php Diff File
rm - library/ezc/Mail/src/parts/multiparts/multipart_report.php Diff File
rm - library/ezc/Mail/src/parts/rfc822_digest.php Diff File
rm - library/ezc/Mail/src/parts/text.php Diff File
rm - library/ezc/Mail/src/structs/content_disposition_header.php Diff File
rm - library/ezc/Mail/src/structs/mail_address.php Diff File
rm - library/ezc/Mail/src/structs/walk_context.php Diff File
rm - library/ezc/Mail/src/tools.php Diff File
rm - library/ezc/Mail/src/transports/file/file_set.php Diff File
rm - library/ezc/Mail/src/transports/imap/imap_set.php Diff File
rm - library/ezc/Mail/src/transports/imap/imap_transport.php Diff File
rm - library/ezc/Mail/src/transports/mbox/mbox_set.php Diff File
rm - library/ezc/Mail/src/transports/mbox/mbox_transport.php Diff File
rm - library/ezc/Mail/src/transports/mta/mta_transport.php Diff File
rm - library/ezc/Mail/src/transports/mta/transport_mta.php Diff File
rm - library/ezc/Mail/src/transports/pop3/pop3_set.php Diff File
rm - library/ezc/Mail/src/transports/pop3/pop3_transport.php Diff File
rm - library/ezc/Mail/src/transports/smtp/smtp_transport.php Diff File
rm - library/ezc/Mail/src/transports/smtp/transport_smtp.php Diff File
rm - library/ezc/Mail/src/transports/storage/storage_set.php Diff File
rm - library/ezc/Mail/src/transports/transport_connection.php Diff File
rm - library/ezc/Mail/src/transports/variable/var_set.php Diff File
rm - library/ezc/autoload/base_autoload.php Diff File
rm - library/ezc/autoload/feed_autoload.php Diff File
rm - library/ezc/autoload/graph_autoload.php Diff File
rm - library/ezc/autoload/mail_autoload.php Diff File

Issue History

Date Modified Username Field Change
2015-05-03 16:17 dregad New Issue
2015-05-03 17:16 dregad Changeset attached => MantisBT master 11516bb9
2015-05-03 17:16 dregad Changeset attached => MantisBT master 9e6e7706
2015-05-03 17:16 dregad Assigned To => dregad
2015-05-03 17:16 dregad Status new => resolved
2015-05-03 17:16 dregad Resolution open => fixed
2015-05-03 17:16 dregad Fixed in Version => 1.3.0-beta.3
2015-07-23 01:27 vboctor Relationship added related to 0019962
2015-08-03 17:05 atrol Relationship deleted related to 0019962
2015-09-06 17:37 vboctoradmin Status resolved => closed